### Enumeration

# Gtk IconSize

#### Declaration

    enum Gtk.IconSize

#### Description [src]

Built-in icon sizes.

Icon sizes default to being inherited. Where they cannot be inherited, text size is the default.

All widgets which use `GtkIconSize` set the normal-icons or large-icons style classes correspondingly, and let themes determine the actual size to be used with the `-gtk-icon-size` CSS property.

#### Members

Name | Description
--- | ---
`GTK_ICON_SIZE_INHERIT` | Keep the size of the parent element.
`GTK_ICON_SIZE_NORMAL` | Size similar to text size.
`GTK_ICON_SIZE_LARGE` | Large size, for example in an icon view.